{% macro link_macro(url) %}
{{- link(caller(), url, **kwargs) -}}
{% endmacro %}

<header class="main-header" is-component aria-label="{{ _('Top header') }}" role="banner">
    <a is-element="toggleMenu:click" aria-haspopup="true" aria-controls="page-menu" href="#"
       aria-label="{{ _('Toggle navigation menu') }}">
        <i class="fa fa-ellipsis-v"></i>
    </a>

    <a {{ link_attrs('index')|safe }} class="main-header__logo">
        <img src={{ static("img/logo/logo.svg") }} alt="{{ _('Logo') }}" aria-label="{{ _('Back to initial page') }}">
    </a>

    {% if request.user.profile|default(None) %}
    <div class="main-header__user">
        <a aria-haspopup="true" href="#" id="img-profile">
        {% if "navbar_profile" not in request.user.profile.image_url  %}
            <img is-element="toggleProfile:click" class="main-header__avatar" src="{{ request.user.profile.image_url }}" 
                alt="{{ _('Profile picture') }}"></a>

            <div id="show-profile-menu" class="profile-menu hide"> 
                {% include 'ej/includes/profile-menu.jinja2' %}
            </div>        
        {% else %}
            <img is-element="toggleProfile:click" class="main-header__avatar main-header__avatar__unregisted" src="{{ request.user.profile.image_url }}" 
                alt="{{ _('Profile picture') }}"></a>

            <div id="show-profile-menu" class="profile-menu hide"> 
                {% include 'ej/includes/profile-menu.jinja2' %}
            </div>        
        {% endif %}

    </div>

    {# For route without profile #}   
    {% else %}
        {% call link_macro('profile:detail', title=_('Profile')) %}
            <img class="main-header__avatar main-header__avatar__unregisted" src="{{ static('img/icons/navbar_profile.svg') }}" alt="">
        {% endcall %}
    {% endif %}

</header>
